TheSwamp

Code Red => AutoLISP (Vanilla / Visual) => Topic started by: Pintech on May 17, 2005, 10:20:55 PM

Title: 3dcorbit
Post by: Pintech on May 17, 2005, 10:20:55 PM
How do I use the 3d orbit continuos(3dcorbit) in auto lisp?
Title: 3dcorbit
Post by: Kerry on May 17, 2005, 11:25:45 PM
Code: [Select]
(defun c:test ()
  (command "_line" pause pause "")
  (command "_3dorbit")
  (getpoint "\nSelect point")
)


This is an example of using it from a user defined function.

.... continuous ?
To my knowledge, drawing commands can't be used while ORBIT is active. It is just used to set the current VIEW.

regards
kwb
Title: 3dcorbit
Post by: Keith™ on May 17, 2005, 11:50:31 PM
not sure continuous orbit can be implemented via lisp .... it requires a point, direction vector and speed to determing rotation angle and rotation speed. There MIGHT be something but I wouldn't hold my breath